Pular para o conteúdo principal
GET
/
v1
/
workspaces
curl -X GET "https://api.whatabot.app/api/v1/workspaces?page=0&size=10" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "workspace-uuid",
      "name": "My Workspace",
      "createdAt": "2025-01-15T10:00:00.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 10,
  "first": true,
  "last": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt

Use this file to discover all available pages before exploring further.

Liste todos os espaços de trabalho com paginação.
X-Api-Key
string
obrigatório
Sua chave de API (prefixada com wh_).
page
integer
padrão:"0"
Número da página (começa em 0).
size
integer
padrão:"10"
Quantidade de itens por página (1-100).
curl -X GET "https://api.whatabot.app/api/v1/workspaces?page=0&size=10" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "workspace-uuid",
      "name": "My Workspace",
      "createdAt": "2025-01-15T10:00:00.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 10,
  "first": true,
  "last": true
}